<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.base.gsp.dao.DxiGspGainslossesBillRecMapper">
<resultMap id="map" type="com.prolog.cs.base.gsp.model.DxiGspGainslossesBillRec">
	<result column="lineid" property="lineid"/>
	<result column="seqno" property="seqno"/>
	<result column="billid" property="billid"/>
	<result column="billno" property="billno"/>
	<result column="type" property="type"/>
	<result column="status" property="status"/>
	<result column="consignorid" property="consignorid"/>
	<result column="consignorcode" property="consignorcode"/>
	<result column="consignorname" property="consignorname"/>
	<result column="branchid" property="branchid"/>
	<result column="branchcode" property="branchcode"/>
	<result column="branchname" property="branchname"/>
	<result column="itemid" property="itemid"/>
	<result column="itemname" property="itemname"/>
	<result column="itemcode" property="itemcode"/>
	<result column="price" property="price"/>
	<result column="amount" property="amount"/>
	<result column="pack_amount" property="packAmount"/>
	<result column="pack_unit" property="packUnit"/>
	<result column="total_price" property="totalPrice"/>
	<result column="spec" property="spec"/>
	<result column="place" property="place"/>
	<result column="manufacturer" property="manufacturer"/>
	<result column="batch_num" property="batchNum"/>
	<result column="production_date" property="productionDate"/>
	<result column="expired_date" property="expiredDate"/>
	<result column="approval_number" property="approvalNumber"/>
	<result column="reason" property="reason"/>
	<result column="ref_billtype" property="refBilltype"/>
	<result column="attr_str1" property="attrStr1"/>
	<result column="attr_str2" property="attrStr2"/>
	<result column="attr_str3" property="attrStr3"/>
	<result column="attr_str4" property="attrStr4"/>
	<result column="attr_str5" property="attrStr5"/>
	<result column="attr_str6" property="attrStr6"/>
	<result column="attr_str7" property="attrStr7"/>
	<result column="attr_str8" property="attrStr8"/>
	<result column="attr_str9" property="attrStr9"/>
	<result column="attr_str10" property="attrStr10"/>
	<result column="attr_num1" property="attrNum1"/>
	<result column="attr_num2" property="attrNum2"/>
	<result column="attr_num3" property="attrNum3"/>
	<result column="attr_num4" property="attrNum4"/>
	<result column="attr_num5" property="attrNum5"/>
	<result column="attr_dte1" property="attrDte1"/>
	<result column="attr_dte2" property="attrDte2"/>
	<result column="attr_dte3" property="attrDte3"/>
	<result column="attr_dte4" property="attrDte4"/>
	<result column="attr_dte5" property="attrDte5"/>
	<result column="createdate" property="createdate"/>
	<result column="createby" property="createby"/>
	<result column="lastmodifydate" property="lastmodifydate"/>
	<result column="lastmodifyby" property="lastmodifyby"/>
	<result column="p_enterpriseid" property="pEnterpriseid"/>
	<result column="p_enterprisename" property="pEnterprisename"/>
	<result column="BILLDATE" property="billdate"/>
</resultMap>
</mapper>
